System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, Node, Color, SpriteComponent, _crd, Collectible;

  function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

  function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

  function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

  function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
      Node = _cc.Node;
      Color = _cc.Color;
      SpriteComponent = _cc.SpriteComponent;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "ed5c8BZNuZCWbB1BufZ31oz", "Collectible", undefined);

      /**
       * Base class for Collectibles extends BaseNode.<br/>
       *
       * Comes with grip related functionalities and properties.
       */
      _export("Collectible", Collectible = /*#__PURE__*/function (_Node) {
        _inheritsLoose(Collectible, _Node);

        function Collectible(spriteFrame) {
          var _this;

          _this = _Node.call(this, 'collectible') || this;

          _defineProperty(_assertThisInitialized(_this), "image", void 0);

          _this.image = _this.addComponent(SpriteComponent);
          _this.image.spriteFrame = spriteFrame;
          return _this;
        }

        var _proto = Collectible.prototype;

        _proto.changeColor = function changeColor(color) {
          this.image.color = new Color().fromHEX(color);
        };

        return Collectible;
      }(Node));

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=Collectible.js.map