System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, Node, Color, SpriteComponent, Collectible, _crd;

  function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

  _export("Collectible", void 0);

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
      Node = _cc.Node;
      Color = _cc.Color;
      SpriteComponent = _cc.SpriteComponent;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "ed5c8BZNuZCWbB1BufZ31oz", "Collectible", undefined);

      /**
       * Base class for Collectibles extends BaseNode.<br/>
       *
       * Comes with grip related functionalities and properties.
       */
      _export("Collectible", Collectible = class Collectible extends Node {
        constructor(spriteFrame) {
          super('collectible');

          _defineProperty(this, "image", void 0);

          this.image = this.addComponent(SpriteComponent);
          this.image.spriteFrame = spriteFrame;
        }

        changeColor(color) {
          this.image.color = new Color().fromHEX(color);
        }

      });

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=Collectible.js.map