System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, Color, Node, Sprite, Grip, _crd;

  _export("Grip", void 0);

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
      Color = _cc.Color;
      Node = _cc.Node;
      Sprite = _cc.Sprite;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "d40d8d3DWFKlpXZiRhUS++Z", "Grip", undefined);

      /**
       * Base class for Grips extends Node.<br/>
       *
       * Comes with grip related functionalities and properties.
       */
      _export("Grip", Grip = class Grip extends Node {
        constructor(innerSpriteFrame, outerSpriteFrame, name = 'grip') {
          super(name);
          this.inner = new Node('inner');
          this.innerSprite = this.inner.addComponent(Sprite);
          this.innerSprite.spriteFrame = innerSpriteFrame;
          this.outer = new Node('outer');
          this.outerSprite = this.outer.addComponent(Sprite);
          this.outerSprite.spriteFrame = outerSpriteFrame;
          this.addChild(this.outer);
          this.addChild(this.inner);
          this.changeColor('#ff0000', '#00ff00');
        }

        changeColor(innerColor, outerColor) {
          this.innerSprite.color = new Color().fromHEX(innerColor);
          this.outerSprite.color = new Color().fromHEX(outerColor);
        }

      });

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=Grip.js.map