System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, Color, Node, Sprite, _crd, Grip;

  function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

  function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
      Color = _cc.Color;
      Node = _cc.Node;
      Sprite = _cc.Sprite;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "d40d8d3DWFKlpXZiRhUS++Z", "Grip", undefined);

      /**
       * Base class for Grips extends Node.<br/>
       *
       * Comes with grip related functionalities and properties.
       */
      _export("Grip", Grip = /*#__PURE__*/function (_Node) {
        _inheritsLoose(Grip, _Node);

        function Grip(innerSpriteFrame, outerSpriteFrame, name) {
          var _this;

          if (name === void 0) {
            name = 'grip';
          }

          _this = _Node.call(this, name) || this;
          _this.inner = new Node('inner');
          _this.innerSprite = _this.inner.addComponent(Sprite);
          _this.innerSprite.spriteFrame = innerSpriteFrame;
          _this.outer = new Node('outer');
          _this.outerSprite = _this.outer.addComponent(Sprite);
          _this.outerSprite.spriteFrame = outerSpriteFrame;

          _this.addChild(_this.outer);

          _this.addChild(_this.inner);

          _this.changeColor('#ff0000', '#00ff00');

          return _this;
        }

        var _proto = Grip.prototype;

        _proto.changeColor = function changeColor(innerColor, outerColor) {
          this.innerSprite.color = new Color().fromHEX(innerColor);
          this.outerSprite.color = new Color().fromHEX(outerColor);
        };

        return Grip;
      }(Node));

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=Grip.js.map