System.register(["cce:/internal/code-quality/cr.mjs", "cc", "./Collectible", "./Grip"], function (_export, _context) {
  "use strict";

  var _reporterNs, _cclegacy, _decorator, Component, resources, SpriteFrame, instantiate, Vec3, view, macro, Collectible, Grip, _dec, _class, _crd, ccclass, property, Main;

  function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

  function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

  function _reportPossibleCrUseOfCollectible(extras) {
    _reporterNs.report("Collectible", "./Collectible", _context.meta, extras);
  }

  function _reportPossibleCrUseOfGrip(extras) {
    _reporterNs.report("Grip", "./Grip", _context.meta, extras);
  }

  return {
    setters: [function (_cceInternalCodeQualityCrMjs) {
      _reporterNs = _cceInternalCodeQualityCrMjs;
    }, function (_cc) {
      _cclegacy = _cc.cclegacy;
      _decorator = _cc._decorator;
      Component = _cc.Component;
      resources = _cc.resources;
      SpriteFrame = _cc.SpriteFrame;
      instantiate = _cc.instantiate;
      Vec3 = _cc.Vec3;
      view = _cc.view;
      macro = _cc.macro;
    }, function (_Collectible) {
      Collectible = _Collectible.Collectible;
    }, function (_Grip) {
      Grip = _Grip.Grip;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "ac0cc1FFzxJebQZyEjmeGQL", "Main", undefined);

      ccclass = _decorator.ccclass;
      property = _decorator.property;

      _export("Main", Main = (_dec = ccclass('Main'), _dec(_class = /*#__PURE__*/function (_Component) {
        _inheritsLoose(Main, _Component);

        function Main() {
          return _Component.apply(this, arguments) || this;
        }

        var _proto = Main.prototype;

        // [1]
        // dummy = '';
        // [2]
        // @property
        // serializableDummy = 0;
        _proto.onLoad = function onLoad() {
          var _this = this;

          var paths = ['gripSmall/spriteFrame', 'white/spriteFrame'];
          var loadCount = paths.length;
          resources.load(paths, SpriteFrame, function (err, res) {
            if (err) {
              console.error('Error loading!', err);
              return;
            }

            loadCount--;
            console.log('loaded', res);

            _this.startGen();
          });
        };

        _proto.start = function start() {// [3]
        };

        _proto.startGen = function startGen() {
          var _this2 = this;

          var gripRes = resources.get('gripSmall/spriteFrame', SpriteFrame);
          var collectibleRes = resources.get('white/spriteFrame', SpriteFrame);
          this.gripPrefab = new (_crd && Grip === void 0 ? (_reportPossibleCrUseOfGrip({
            error: Error()
          }), Grip) : Grip)(gripRes, gripRes, 'grip');
          this.collectiblePrefab = new (_crd && Collectible === void 0 ? (_reportPossibleCrUseOfCollectible({
            error: Error()
          }), Collectible) : Collectible)(collectibleRes);
          console.log('prefab created');

          var _view$getDesignResolu = view.getDesignResolutionSize(),
              width = _view$getDesignResolu.width,
              height = _view$getDesignResolu.height;

          this.schedule(function () {
            console.log('grip created');
            var grip = instantiate(_this2.gripPrefab);
            grip.setPosition(new Vec3(-width * 0.5 + Math.random() * width, height * 0.5 + Math.random() * height));

            _this2.node.addChild(grip);

            var collectible = instantiate(_this2.collectiblePrefab);
            grip.addChild(collectible);
          }, 2, macro.REPEAT_FOREVER, 2);
        } // update (deltaTime: number) {
        //     // [4]
        // }
        ;

        return Main;
      }(Component)) || _class));
      /**
       * [1] Class member could be defined like this.
       * [2] Use `property` decorator if your want the member to be serializable.
       * [3] Your initialization goes here.
       * [4] Your update function goes here.
       *
       * Learn more about scripting: https://docs.cocos.com/creator/3.0/manual/en/scripting/
       * Learn more about CCClass: https://docs.cocos.com/creator/3.0/manual/en/scripting/ccclass.html
       * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.0/manual/en/scripting/life-cycle-callbacks.html
       */


      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=Main.js.map